#!/bin/sh

# Generate test files that form the basis for comparison during "make check".
# Make check doesn't prove that the hdf server works.  It just allows to
# to form (or assume) a known good point - then when make check is run on
# other hosts we can say "The basis for comparison was valid, it is also
# known valid on host x if all the hdf server tests pass".

for i in an1 dfp1 dfr1 gr1 gr2 gr3 gr4 gr5 sds1 sds2 sds3 sds4 sds5 sds6 sds7 vs1 vs2 vs3 vs4 vs5
do
echo test${i}
../../../bin/geturl -a "http://localhost/test-bin/nph-hdf/test${i}.hdf" > test${i}.das
../../../bin/geturl -d "http://localhost/test-bin/nph-hdf/test${i}.hdf" > test${i}.dds
../../../bin/geturl -D "http://localhost/test-bin/nph-hdf/test${i}.hdf?" > test${i}.data
done

# Now pull the subsetting tests' basis for comparison
geturl -D "http://localhost/test-bin/nph-hdf/testsds1.hdf?SDS_DFNT_INT32[1:2],SDS_DFNT_UINT32[1:1],SDS_DFNT_INT16[1:2],SDS_DFNT_UINT16[0:0],SDS_DFNT_INT8[0:0],SDS_DFNT_UINT8[2:2],SDS_DFNT_FLOAT32[2:3],SDS_DFNT_FLOAT64,SDS_DFNT_CHAR8[0:1],SDS_DFNT_UCHAR8[0:1]" > testsds1.data1
geturl -D "http://localhost/test-bin/nph-hdf/testsds3.hdf?SDS_2[3:5][2:3],SDS_3[2:2][2:3][0:1],SDS_6[0:1][0:0][0:0][0:0][0:0][0:0],SDS_20[0:1][0:0][0:0][0:0][0:0][0:0][0:0][0:0][0:0][0:0][0:0][0:0][0:0][0:0][0:0][0:0][0:1][0:0][0:0][0:0]" > testsds3.data1
geturl -D "http://localhost/test-bin/nph-hdf/testgr1.hdf?GR_DFNT_INT32[0:1][1:2],GR_DFNT_FLOAT64[2:3][0:1]" > testgr1.data1
geturl -D "http://localhost/test-bin/nph-hdf/test/testvs1.hdf?Vdata_DFNT_UINT16&Vdata_DFNT_UINT16.Field_DFNT_UINT16.Field_DFNT_UINT16__0<5" > testvs1.data1

